Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 201393 - better yum locking error message
Summary: better yum locking error message
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-08-04 19:41 UTC by Need Real Name
Modified: 2014-01-21 22:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 18:17:13 UTC


Attachments (Terms of Use)

Description Need Real Name 2006-08-04 19:41:42 UTC
If root runs yum upgrade while the yum auto-updater is running, a message about
"yum already running" is displayed, which is good.

It would be even better if the message says what the other thing running was,
since the message is quite baffling at first.

Comment 1 Seth Vidal 2006-08-19 19:42:58 UTC
but we don't know what the other thing is. It's not reported.

suggestions on less confusing error messages?

Comment 2 Need Real Name 2006-08-19 21:28:11 UTC
Can the other thing be reported in the lockfile?

Comment 3 Jeremy Katz 2007-04-25 18:17:13 UTC
We can report the pid, but not much more.  Added pid reporting in CVS


Note You need to log in before you can comment on or make changes to this bug.